Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009327Dwarf FortressAdventure Mode -- Buildingspublic2015-12-12 18:572019-10-18 19:11
Reporteruntrustedlife 
Assigned Tolethosor 
PriorityhighSeveritymajorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformPCOSWindows 10OS VersionWindows 10
Product Version0.42.03 
Target VersionFixed in Version 
Summary0009327: Cannot order drink at my own fort's inn in adventure mode - tavern keeper claims "I don't work here"
DescriptionI created an inn in fort mode with all teh stuff it neded (rooms, mugs , alcohol) retired it, and when i ask the tavern keeper about available goods or services they say they "I dont work here" and i cannot order anything or rent a room.
very saddening.
Steps To ReproduceCreate a inn with everything in fort mode and go to it in adventure mode find the tavern keeper and try to order something.They will say they "dont work here".

Additional InformationHeres my save.
http://dffd.bay12games.com/file.php?id=11461 [^]
Tags0.43.05, 0.44.02, 0.44.12
Attached Files

- Relationships
has duplicate 0009361resolvedlethosor Tavern keeper states "I don't work here." when asking about available services, drinks, rooms, ect. 
related to 0010226new Tavern Keepers do not accept the local currency. 
related to 0009772new Unable to order drink after tavernkeep fell asleep during last request 

-  Notes
(0033829)
Detros (manager)
2015-12-13 05:13

Probably effect of 0009212, "Performers/Mercenaries stop being listed as citizens after retiring the fort", so s/he was really no more a tavern keeper.
(0033831)
untrustedlife (reporter)
2015-12-13 06:54
edited on: 2015-12-13 06:58

It might be but the individual was not a performer and was one of my starting seven

(0033832)
Hedede (reporter)
2015-12-13 07:07

No, 0009212 affects only those who came as guests. It doesn't affect those who were already citizens.
(0033866)
untrustedlife (reporter)
2015-12-13 22:36

Hoping an admin acknowledges this.
(0033870)
Detros (manager)
2015-12-14 02:14

Don't worry, untrustedlife, there has been just so many reports with new updates so give them few more hours/days. And it is also a weekend close to Christmas, in some parts of world.
(0033895)
untrustedlife (reporter)
2015-12-14 15:29
edited on: 2015-12-15 12:20

I know, guess I'm just annoyed enough by the bug to complain.
edit
(I hope an admin sees this soon)

(0034022)
untrustedlife (reporter)
2015-12-18 14:03

been six days, still not acknowledged by admin.
(0034726)
untrustedlife (reporter)
2016-02-22 14:47

I am dissapointed in this bug tracker now.
(0034727)
untrustedlife (reporter)
2016-02-22 14:48
edited on: 2016-02-22 20:31

Been 10 months Maybe I shouldn't even bother reporting bugs if they always get ignored.

Not sure if its been fixed, but unlikely since no one acknowledged this bug so toady would notice

(0034774)
untrustedlife (reporter)
2016-03-01 09:19
edited on: 2016-03-01 09:25

Still present in the current version.

http://www.bay12forums.com/smf/index.php?topic=156659.0 [^]

(0035040)
untrustedlife (reporter)
2016-04-26 14:53

Still present
(0036600)
lethosor (manager)
2017-06-06 10:10

Reminder sent to: untrustedlife

A couple things:

- The bug tracker managers (like myself) are volunteers. We don't always have time to investigate every issue that's reported and mark it as acknowledged/confirmed, but that doesn't mean we're ignoring them.
- Toady will still fix issues that aren't marked as acknowledged/confirmed (really).
- Please don't bump tickets unnecessarily, unless you have useful information to add. In particular, the last two posts you made were after 0.42.06 came out, but before 0.43.01. If the issue wasn't fixed in 0.42.06, it obviously won't be magically fixed in 0.42.06 a month later.

I did just run into 0009361 from a post on Reddit, which led me here. I'll try to reproduce this when I get a chance. Keep in mind that there are lots of bugs on this tracker, and this one is hardly "game-breaking", but Toady will still take time to fix bugs such as this one after the next major release.
(0036602)
chaosvolt (reporter)
2017-06-06 10:52

I'll admit I've expressed frustration over bugs before. But 90% of my "Toady por QUE" bugs are modding-related, either that or they involve giant desert scorpions. Whereas this is a vanilla-affecting bug with no venomous arthropods in sight.

So frustration's understandable, just remember that the bugtesters here have their hands full, and while they can test bugs and sort through them, only Toady can actually implement any fixes.
(0036627)
lethosor (manager)
2017-06-23 17:55
edited on: 2017-06-23 18:05

Looking at this a bit with DFHack, it appears that the unit's "occupation" is set up correctly - this site has one abstract_buildingst (the tavern), which has 4 occupations assigned, one of which is identical to the occupation referenced by the tavern keeper. This occupation entry appears to have the correct histfig, unit, location, and site IDs, and its type is correct (tavern keeper). I'm not sure what the issue is.

Edit: also, every entry in the global occupations vector has a unique ID.

When reclaiming this fort, the dwarf in question is still listed as the tavern keeper, but is hostile and cannot be unassigned.

(0037385)
ArmokGoB (reporter)
2017-12-23 06:43
edited on: 2017-12-23 06:43

I can confirm that this happens in 44.02. Also, where do I volunteer to be a manager?

(0037392)
lethosor (manager)
2017-12-23 15:44

Usually Toady asks people who have been active around the tracker for a while and know it well to be managers. I don't think we're too overloaded at the moment, but things can slip through the cracks sometimes, like this one. I'm not sure what the situation was in February 2016 when untrustedlife was spamming/bumping this issue.

That's not to say you aren't qualified - I haven't been paying as much attention as I should to people who are especially helpful around the tracker. If you think you're familiar with how DF and its bugs work, as well as Mantis, I'd talk to Toady or another manager you're familiar with.
(0038394)
untrustedlife (reporter)
2018-05-29 12:06
edited on: 2018-05-29 12:20

I would hardly call one bump every month or two months, then 10 months "spamming". And just because i was "spamming" that doesn't mean this bug shouldnt be fixed. Of course i understand why adventure mode bugs tend to take the back burner, good to see this is marked as "confirmed" now though.

(0038401)
lethosor (manager)
2018-05-29 14:21
edited on: 2018-05-30 09:04

It is "spamming" when it's the only activity in the issue. Your "bump" posts only serve to irritate people who rely on the "recently modified" list having issues with actually useful recent modifications. And in any case, I certainly never said it shouldn't be fixed, and adventure mode bugs in general are not prioritized any differently than fortress mode bugs, regardless of how individual bugs like this one may appear to be.

And again, an issue can be fixed without being acknowledged/confirmed.

(0039550)
untrustedlife (reporter)
2019-10-18 19:09
edited on: 2019-10-18 19:12

This is still an issue in the current version. Just letting folks know. Attached current version number.
It can be seen in this stream:
https://www.twitch.tv/videos/496491885 [^]
It happened in the last 30 minutes or so.


- Issue History
Date Modified Username Field Change
2015-12-12 18:57 untrustedlife New Issue
2015-12-13 05:13 Detros Note Added: 0033829
2015-12-13 06:54 untrustedlife Note Added: 0033831
2015-12-13 06:56 untrustedlife Note Edited: 0033831 View Revisions
2015-12-13 06:58 untrustedlife Note Edited: 0033831 View Revisions
2015-12-13 07:05 Hedede Issue Monitored: Hedede
2015-12-13 07:07 Hedede Note Added: 0033832
2015-12-13 22:36 untrustedlife Note Added: 0033866
2015-12-14 02:14 Detros Note Added: 0033870
2015-12-14 15:29 untrustedlife Note Added: 0033895
2015-12-15 12:20 untrustedlife Note Edited: 0033895 View Revisions
2015-12-18 14:03 untrustedlife Note Added: 0034022
2016-02-22 14:47 untrustedlife Note Added: 0034726
2016-02-22 14:48 untrustedlife Note Added: 0034727
2016-02-22 20:17 untrustedlife Note Edited: 0034727 View Revisions
2016-02-22 20:31 untrustedlife Note Edited: 0034727 View Revisions
2016-03-01 09:19 untrustedlife Note Added: 0034774
2016-03-01 09:25 untrustedlife Note Edited: 0034774 View Revisions
2016-04-26 14:53 untrustedlife Note Added: 0035040
2017-06-06 10:01 lethosor Relationship added has duplicate 0009361
2017-06-06 10:10 lethosor Note Added: 0036600
2017-06-06 10:11 lethosor Tag Attached: 0.43.05
2017-06-06 10:12 lethosor Summary Cannot order drink at my own fort's inn in adventure mode. => Cannot order drink at my own fort's inn in adventure mode - tavern keeper claims "I don't work here"
2017-06-06 10:13 lethosor Relationship added related to 0010226
2017-06-06 10:15 lethosor Relationship added related to 0009772
2017-06-06 10:52 chaosvolt Note Added: 0036602
2017-06-23 17:50 lethosor Assigned To => lethosor
2017-06-23 17:50 lethosor Status new => confirmed
2017-06-23 17:55 lethosor Note Added: 0036627
2017-06-23 17:56 lethosor Note Edited: 0036627 View Revisions
2017-06-23 17:58 lethosor Note Edited: 0036627 View Revisions
2017-06-23 18:05 lethosor Note Edited: 0036627 View Revisions
2017-12-23 06:43 ArmokGoB Note Added: 0037385
2017-12-23 06:43 ArmokGoB Note Edited: 0037385 View Revisions
2017-12-23 15:24 lethosor Tag Attached: 0.44.02
2017-12-23 15:44 lethosor Note Added: 0037392
2018-05-29 12:06 untrustedlife Note Added: 0038394
2018-05-29 12:16 untrustedlife Note Edited: 0038394 View Revisions
2018-05-29 12:20 untrustedlife Note Edited: 0038394 View Revisions
2018-05-29 14:21 lethosor Note Added: 0038401
2018-05-30 09:04 lethosor Note Edited: 0038401 View Revisions
2019-10-18 19:09 untrustedlife Note Added: 0039550
2019-10-18 19:11 untrustedlife Tag Attached: 0.44.12
2019-10-18 19:11 untrustedlife Note Edited: 0039550 View Revisions
2019-10-18 19:12 untrustedlife Note Edited: 0039550 View Revisions


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker